WebdavFixValve (Tomcat API Documentation)
Keywords: org.apache.catalina.valves.WebdavFixValve class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.valves
Class WebdavFixValve

    java.lang.Object
      org.apache.catalina.valves.ValveBase
          org.apache.catalina.valves.WebdavFixValve

All Implemented Interfaces:
  javax.management.MBeanRegistration, Contained, Valve

    public class WebdavFixValve

extends ValveBase

Valve that attempts to force MS WebDAV clients connecting on port 80 to use a WebDAV client that actually works. Other workarounds that might help include:

- Specifing the port, even if it is port 80, when trying to connect.
- Canceling the first authentication dialog box and then trying to reconnect.

To use this valve add the following `<Valve className="org.apache.catalina.valves.WebdavFixValve" />` to your `Engine`, `Host` or `Context` as required. Normally, this valve would be used at the `Context` level.

Version:
  $Revision: 420067 $, $Date: 2006-07-08 09:16:58 +0200 (sub, 08 srp 2006) $

Field Summary

Fields inherited from class org.apache.catalina.valves.ValveBase
`container, containerLog, controller, domain, info, mserver, next, oname, sm`

Constructor Summary
`WebdavFixValve()`

Method Summary
`void` | `invoke(Request request, Response response)` Check for the broken MS WebDAV client and if detected issue a re-direct that hopefully will cause the non-broken client to be used.

Methods inherited from class org.apache.catalina.valves.ValveBase
`backgroundProcess, createObjectName, event, getContainer, getContainerName, getController, getDomain, getInfo, getNext, getObjectName, getParentName, postDeregister, postRegister, preDeregister, preRegister, setContainer, setController, setNext, setObjectName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebdavFixValve

    public WebdavFixValve()

Method Detail

### invoke

    public void invoke(Request request,
                       Response response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Check for the broken MS WebDAV client and if detected issue a re-direct that hopefully will cause the non-broken client to be used.

  Specified by:
    `invoke` in interface `Valve`
  Specified by:
    `invoke` in class `ValveBase`
  Parameters:
    `request` - The servlet request to be processed
    `response` - The servlet response to be created
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.